Subject: AW: AW: WebDAV with Windows Vista

From: "Konstantin Breu" <[email-masked]>
Date: Thu, 15 Mar 2007 12:04:03 +0100

Hello,
thanks, but it did not work at my test clients - I had already found that
page, too.. ;-)
here is a similar workaround:
http://www.vista64.net/forums/222300-post4.html 
http://www.vista64.net/forums/vista-general/45252-vista-cant-use-http-web-fo
lders-webdav.html

Kind Regards,
Konstantin

-----Ursprüngliche Nachricht-----
Von: [email-masked] [mailto:[email-masked]] 
Gesendet: Donnerstag, 15. März 2007 11:55
An: Konstantin Breu
Cc: 'Kevin Wiggen'; [email-masked]
Betreff: Re: AW: WebDAV with Windows Vista

Hi, 

I looked around on the web a bit and found a workaround that might work: 
http://www.schiller.cc/blog/2007/01/29/bug-in-vistas-webdav-implementation

The steps: 
   1.  Go to “Add a Network Location…”
   2. Insert your webdav ressource in the following format:
“\\mywebdav.server@SSL\dav“, insert (if applicable) your username by
“Connect using a different username” - and now, your shared folder
should appear :)

Hope it helps :) 

Regards, 
Erik 

----- Oorspronkelijk bericht -----
Van: Konstantin Breu <[email-masked]>
Datum: donderdag, maart 15, 2007 10:24 am
Onderwerp: AW: WebDAV with Windows Vista

> 
> Hello,
> 
> > http://www.vista64.net/forums/vista-general/21946-webdav-web-
> folder-clie
> > nt-msdaipp-dll-supported-vista.html
> 
> I have posted there now, too:
> http://www.vista64.net/forums/vista-general/48154-webdav-support.html
> I tried all workarounds posted in the forum in different topics. 
> None of
> them worked with my test client...
> 
> My first tests were with Vista Business - there I did not see any 
> clientserver requests when trying to get the network resource 
> connection to the
> webdav site. This was different with Vista Ultimate. There the 
> client did
> requests, but then still could not create the connection. I've done 
> the test
> now also with the webdav function offered by Apache Tomcat. It's 
> just the
> same. It works when the client is running at Windows XP, it does 
> not work
> with client running Vista...
> 
> Btw, they have a similar "Windows client workaround" like my webdav 
> server:http://issues.apache.org/bugzilla/show_bug.cgi?id=40160
> 
> Well now... according to the answers in this list it works at some 
> Vistaclients of some persons. But when looking to the webdav 
> questions at
> http://www.vista64.net it does not work at every client. I will try 
> now to
> get better information from Microsoft support (to get some answer 
> like "we
> know the problem, it will be fixed with patch xyz"). Is anyone in 
> this list
> interested in that? Then I will post it here.
> 
> Cheers,
> Konstantin
> 
> 
> 
> -----Ursprüngliche Nachricht-----
> Von: [email-masked] [mailto:w3c-dist-auth-
> [email-masked]] Im
> Auftrag von Kevin Wiggen
> Gesendet: Dienstag, 13. März 2007 18:37
> An: Konstantin Breu; [email-masked]
> Betreff: RE: WebDAV with Windows Vista
> 
> 
> Basically MS removed the "webfolders" client in Vista and now only has
> the mini-redirector (XP had BOTH and different version depending on
> whether Office was installed).
> 
> http://www.vista64.net/forums/vista-general/21946-webdav-web-folder-
> client-msdaipp-dll-supported-vista.html
> 
> There are 2 shortcomings of the redirector spoken about here (note 
> thatthis is just to get the client to connect, once its connected I 
> cannotspeak to other problems):
> 
> 1)  The client requires the ability to OPTION / (not always true)
> 2)  The client will try to walk the chain from / to the mount point
> (there are many reasons the client couldn't do this including 
> security).
> 
> However if I try to mount /Kevin on a server (and have access to do 
> so),it will connect.
> 
> Also interesting that some of my follow-up comments were deleted from
> the forum.  I guess someone didn't like the extended information I 
> gave:) 
> 
> Kevin
> 
> -----Original Message-----
> From: [email-masked] [mailto:w3c-dist-auth-
> [email-masked]]On Behalf Of Konstantin Breu
> Sent: Tuesday, March 13, 2007 6:46 AM
> To: [email-masked]
> Subject: WebDAV with Windows Vista
> 
> 
> Hello,
> 
> @Mac/Linux users: I am sorry for asking **windows** specific questions
> here.
> Just stop reading... ;-)
> 
> I have a WebDAV server (J2EE based), there is no problem to use it 
> withWindows Explorer (via Network Resource), Internet Explorer (via 
> openpage as
> Web folder), Office 2003/2007 when using Windows XP SP2.
> 
> But so far I did not have any success when trying the same with 
> WindowsVista. Windows Explorer cannot create the connection (but it 
> is doing
> requests to the server), Internet Explorer only offers to open it 
> as web
> page (GET). Office 2007 also only does GET, when I try to access the
> folders
> an files in the file open dialog. If I enter there a folder address
> (http://.....), it then does a GET against that address, and opens 
> thatas
> "document" in Word etc...
> 
> My question to the list: is there somebody, who was able to use 
> WindowsExplorer/Internet Explorer/Office 2007 (or an older version) 
> withWindows
> Vista as WebDAV client? Are there special settings for the client 
> side,or
> additional installations, which I have to do? Or are there some
> additional
> requirements for the server, which Vista needs? (for example 
> support of
> some
> Properties, Http headers, Authentication method,...) You could also 
> sendme
> communication logs, if your server works with Vista, and you do not 
> knowwhy.... ;)
> 
> If there is somebody, who has the same problem: you can also drop 
> me a
> line,
> then I could give you some hints when I have found out more... Of 
> courseI
> also searched in the internet for information... I found 
> descriptions of
> such problems, some people were describing workarounds, but so far 
> theseworkarounds did not help me...
> 
> I will also get into contact with Microsoft support, but this will 
> takesome
> longer time, as I or my chief will have to pay for it. I will also do
> tests
> with other clients (for example WebDrive), and other servers (for
> example
> Slide, Tomcat), to see how they are working when the client OS is
> Vista...
> 
> Cheers,
> Konstantin
> 
> P.S. I was testing so far with Vista Business, but I have access to 
> allversions.
> 
> 
> 
> 
> 
> 
>

---

From: [email-masked]
Date: Thu, 15 Mar 2007 11:54:47 +0100

Hi, 

The steps: 

Hope it helps :) 

Regards, 
Erik